POST api/viewing/{viewingFeedbackId}/feedbacknotified?type={type}¬ifiedDate={notifiedDate}&negIds[0]={negIds[0]}&negIds[1]={negIds[1]}
Record that the feedback for a Viewing was notified to the vendor. Processes this viewing API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| viewingFeedbackId |
viewing feedback id |
integer |
Required |
| type |
Task type for how vendor was communicated e.g. TelephoneCall etc (pass null to use the default VendorNotified type) |
string |
None. |
| notifiedDate |
The notified date value supplied with the request. |
date |
None. |
| negIds |
The neg ids value supplied with the request. |
Collection of integer |
None. |
Body Parameters
None.
Response Information
Resource Description
The response returned after the operation completes.
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version |
The version value. |
Version |
None. |
| Content |
The content value. |
HttpContent |
None. |
| StatusCode |
The status code classification. |
HttpStatusCode |
None. |
| ReasonPhrase |
The reason phrase value. |
string |
None. |
| Headers |
The collection of headers. |
Collection of Object |
None. |
| RequestMessage |
The request message value. |
HttpRequestMessage |
None. |
| IsSuccessStatusCode |
Indicates whether this item is success status code. |
boolean |
None. |